---
title: '-webkit-text-stroke-color'
slug: Web/CSS/-webkit-text-stroke-color
tags:
  - CSS
  - CSS Property
  - Non-standard
  - Reference
  - WebKit
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>-webkit-text-stroke-color</code></strong> CSS property specifies the stroke <a href="/en-US/docs/Web/CSS/color_value">color</a> of characters of text. If this property is not set, the value of the {{cssxref("color")}} property is used.</p>

<pre class="brush:css no-line-numbers notranslate">/* &lt;color&gt; values */
-webkit-text-stroke-color: red;
-webkit-text-stroke-color: #e08ab4;
-webkit-text-stroke-color: rgb(200, 100, 0);

/* Global values */
-webkit-text-stroke-color: inherit;
-webkit-text-stroke-color: initial;
-webkit-text-stroke-color: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;color&gt;</code></dt>
 <dd>The color of the stroke.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Varying_the_stroke_color">Varying the stroke color</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Text with stroke&lt;/p&gt;
&lt;input type="color" value="#ff0000"&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  margin: 0;
  font-size: 4em;
  -webkit-text-stroke-width: 3px;
  -webkit-text-stroke-color: #ff0000; /* Can be changed in the live sample */
}
</pre>

<div class="hidden">
<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">var colorPicker = document.querySelector("input");
colorPicker.addEventListener("change", function(evt) {
  document.querySelector("p").style.webkitTextStrokeColor = evt.target.value;
});</pre>
</div>

<h4 id="Results">Results</h4>

<p>{{EmbedLiveSample("Varying_the_stroke_color", "500px", "100px")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Compat', '#the-webkit-text-stroke-color', '-webkit-text-stroke-color')}}</td>
   <td>{{Spec2('Compat')}}</td>
   <td>Initial standardization</td>
  </tr>
  <tr>
   <td><a class="external external-icon" href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/StandardCSSProperties.html#//apple_ref/doc/uid/TP30001266--webkit-text-stroke-color" hreflang="en" lang="en">Safari CSS Reference<br>
    <small lang="en-US">'-webkit-text-stroke-color' in that document.</small></a></td>
   <td>Non-standard unofficial documentation</td>
   <td>Initial documentation</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-text-stroke-color")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.webkit.org/blog/85/introducing-text-stroke/">Surfin' Safari blog post announcing this feature</a></li>
 <li><a href="https://css-tricks.com/adding-stroke-to-web-text/">CSS-Tricks article explaining this feature</a></li>
 <li>{{cssxref("-webkit-text-fill-color")}}</li>
 <li>{{cssxref("-webkit-text-stroke-width")}}</li>
 <li>{{cssxref("-webkit-text-stroke")}}</li>
</ul>
